{
  "format_version": "1.12",
  "minecraft:recipe_shaped": {
    "description": {
    "identifier": "vatonage:violin"
    },
    "tags": [ "crafting_table" ],
    "pattern": [
      " AC",
      "BDA",
      "BB "
    ],
    "key": {
      "A": {
        "item": "minecraft:diamond"
      },
      "B": {
        "item": "minecraft:diamond_block"
      },
      "C": {
        "item": "minecraft:string"
      },
      "D": {
        "item": "minecraft:nether_star"
      }
    },
    "result": {
      "item": "vatonage:violin"
    }
  }
}
